Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.cfg
Class C3P0Config

    java.lang.Object
      com.mchange.v2.c3p0.cfg.C3P0Config

    public final class C3P0Config

extends java.lang.Object

Field Summary
`static java.lang.String` | `CFG_FINDER_CLASSNAME_KEY`
`static java.lang.String` | `DEFAULT_CONFIG_NAME`
`static C3P0Config` | `MAIN`

Method Summary
`static void` | `bindNamedConfigToBean(java.lang.Object bean, java.lang.String configName, boolean shouldBindUserOverridesAsString)`
`static void` | `bindUserOverridesAsString(java.lang.Object bean, java.lang.String uoas)`
`static void` | `bindUserOverridesToBean(java.lang.Object bean, java.lang.String configName)`
`static java.util.Map` | `getUnspecifiedUserProperties(java.lang.String configName)`
`static java.lang.String` | `getUnspecifiedUserProperty(java.lang.String propKey, java.lang.String configName)`
`static java.util.Map` | `getUserOverrides(java.lang.String configName)`
`static java.lang.String` | `getUserOverridesAsString(java.lang.String configName)`
`static boolean` | `initializeBooleanPropertyVar(java.lang.String propKey, boolean dflt)`
`static int` | `initializeIntPropertyVar(java.lang.String propKey, int dflt)`
`static java.lang.String` | `initializeStringPropertyVar(java.lang.String propKey, java.lang.String dflt)`
`static java.lang.String` | `initializeUserOverridesAsString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CFG_FINDER_CLASSNAME_KEY

    public static final java.lang.String CFG_FINDER_CLASSNAME_KEY

See Also:
  Constant Field Values

### DEFAULT_CONFIG_NAME

    public static final java.lang.String DEFAULT_CONFIG_NAME

See Also:
  Constant Field Values

### MAIN

    public static final C3P0Config MAIN

Method Detail

### getUnspecifiedUserProperty

    public static java.lang.String getUnspecifiedUserProperty(java.lang.String propKey,
                                                              java.lang.String configName)

### getUnspecifiedUserProperties

    public static java.util.Map getUnspecifiedUserProperties(java.lang.String configName)

### getUserOverrides

    public static java.util.Map getUserOverrides(java.lang.String configName)

### getUserOverridesAsString

    public static java.lang.String getUserOverridesAsString(java.lang.String configName)
                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### bindUserOverridesAsString

    public static void bindUserOverridesAsString(java.lang.Object bean,
                                                 java.lang.String uoas)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bindUserOverridesToBean

    public static void bindUserOverridesToBean(java.lang.Object bean,
                                               java.lang.String configName)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bindNamedConfigToBean

    public static void bindNamedConfigToBean(java.lang.Object bean,
                                             java.lang.String configName,
                                             boolean shouldBindUserOverridesAsString)
                                      throws java.beans.IntrospectionException

  Throws:
    `java.beans.IntrospectionException`

### initializeUserOverridesAsString

    public static java.lang.String initializeUserOverridesAsString()

### initializeStringPropertyVar

    public static java.lang.String initializeStringPropertyVar(java.lang.String propKey,
                                                               java.lang.String dflt)

### initializeIntPropertyVar

    public static int initializeIntPropertyVar(java.lang.String propKey,
                                               int dflt)

### initializeBooleanPropertyVar

    public static boolean initializeBooleanPropertyVar(java.lang.String propKey,
                                                       boolean dflt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD